package fr.openium.consentium.api.adapter

import fr.openium.consentium.api.model.Purpose
import fr.openium.consentium.api.model.PurposeIdentifier
import fr.openium.consentium.data.remote.model.GetConsent

internal fun GetConsent.PurposeDTO.toPurpose() = Purpose(
    identifier = PurposeIdentifier.fromString(identifier),
    isRequired = isRequired,
    isAccepted = isAccepted.toPurposeStatus(),
    vendors = vendors?.map { it.toVendor() } ?: emptyList(),
)
